List Transaction Approvals
GETTag: api-baas-get-permissions-transaction-approvalsDescription: Retrieve a list of the transaction approvals. Use optional filter parameters to refine your search./v1/permissions/transaction-approvals
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Transaction approval request ID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
The transaction approvals returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Transaction approvals data.
Transaction approval ID.
User ID.
User name.
Wallet ID.
Transaction approval request ID.
Amount in R$ cents.
Permission type tag used for the approval vote.
Transaction approval created at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_id": "f6e2e084-29b9-4935-a059-5473b13033ab",
"user_name": "John Doe",
"wallet_id": "f6e2e084-29b9-4935-a059-5473b13033ac",
"transaction_approval_request_id": "f6e2e084-29b9-4935-a059-5473b13033ae",
"amount": 100000000,
"permission_type_tag": "APPROVER_MASTER",
"created_at": "2026-07-24T17:46:33.212Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.